#
# Cookbook Name:: Team_Foundation_Server_STD_x64
# Recipe:: default
#
# Copyright (c) 2014 Ryan Irujo, All Rights Reserved.

# Declaring Variables

include_recipe 'PsTools'
sentinel_file = "#{node[:tfs][:config_exe_path]}"

remote_file "#{node[:tfs][:remote_file][:path]}/#{node[:tfs][:iso_name]}" do
	source "#{node[:tfs][:remote_file][:source]}"
	checksum '2e85e01654a5c6e80833bdd36b5647018613f2ca80fc65be8876c2e529066f98'
	not_if { File.exist?("#{node[:tfs][:remote_file][:path]}/#{node[:tfs][:iso_name]}") || File.exist?(sentinel_file) }
end

ec2helper_iso 'MountTfsIso' do
	volume_name "#{node[:tfs][:ec2helper_iso][:volume_name]}"
	iso_filename "#{node[:tfs][:iso_name]}"
	iso_path "#{node[:tfs][:remote_file][:path]}"
	not_if { File.exist?(sentinel_file) }
end

# Installing Team Foundation Server Standard.
execute 'Install TFS' do
	command lazy {"#{node[:ec2helper][:iso][:mount][:drive_letter]}:/TfsServer2015.3.exe /quiet"}
	timeout 21600
	returns [0,3010]
	not_if { File.exist?(sentinel_file) }
end
